Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-18131

Block upgrade to 4.13 from 4.12 for older versions with admin-ack

    XMLWordPrintable

Details

    • No
    • Rejected
    • False
    • Hide

      None

      Show
      None

    Description

      This in reference to https://issues.redhat.com/browse/OCPBUGS-5817

      We need to block upgrade to OCP-4.14 from 4.13 because of the bugs listed in above issues.

      • Check in the vSphere CSI driver operator
      • Check node.status.volumesAttached / volumesInUse for vSphere in-line in-tree volumes
      • Check PVs for un-mounted in-tree vSphere volumes
      • The operator will add admin-ack-key in admin-gates ConfigMap if there is such a volume
      • The operator will remove the admin-ack-key when upgrade becomes possible (admin removed all in-tree PVs or upgraded to the right vSphere version or removes in-line volumes from pods)
      • The admin ack will not remove other 4.13 / 4.14 requirements, like removal of community CSI driver or upgrade from 6.7u3 to at least 7.0.3 - such cluster is still un-upgradeable even with the ack.

      Attachments

        Issue Links

          Activity

            People

              hekumar@redhat.com Hemant Kumar
              hekumar@redhat.com Hemant Kumar
              Wei Duan Wei Duan
              Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: